<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('gold_roi_histories', function (Blueprint $table) {
            $table->id();
            $table->string('type');
            $table->date('generate_date');
            $table->datetime('entry_date')->nullable();
            $table->integer('count')->nullable();
            $table->string('generated_in')->nullable();
            $table->string('dlt_reason')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('gold_roi_histories');
    }
};
